# Python 2.7 demonstration using the bv4111 and bv4115 class

from time import sleep
import sys
import BV4111

# ******************************************************************************
# D E M O for BV4111 - relay controller
# ******************************************************************************
def main():
    # input com port on start
    if len(sys.argv) < 2:
        print "Com port needed as part of input"
    else:
        # connect to serial port, this can be done in any maner but the 
        # connect in sv3cl is convenient
        sp = BV4111.sv3clV2_2.Connect(sys.argv[1],115200)
        # class instance for sv3 device, assume address 'a' and
        # default ack
        Devd = BV4111.bv4111(sp,'d')
        sleep(0.25)
        d = Devd.Discover()
        print "Discover() reports ",d
        if Devd.Active() !=0:
            print "Switching relay 1"
            for j in range(1,5):
                Devd.Rly(1,1,0)
                sleep(0.2) 
                Devd.Rly(1,0,0)
                sleep(0.2) 
            print "Switching relay 2"
            for j in range(1,5):
                Devd.Rly(2,1,0)
                sleep(0.2) 
                Devd.Rly(2,0,0)
                sleep(0.2) 
        else:
            print "Device address d not found"
            print "This may be because the device is not connected properly"
            print "If discover reports device d then increase the timeout"
            print "in the connect function in file sv3clV2_2.py"
        sp.close()    

if __name__ == "__main__":
    main()
